### Method

# WebKit WebView get_settings

#### Declaration [src]

    WebKitSettings*
    webkit_web_view_get_settings (
      WebKitWebView* web_view
    )

#### Description [src]

Gets the `WebKitSettings` currently applied to `web_view`.

If no other `WebKitSettings` have been explicitly applied to `web_view` with webkit_web_view_set_settings(), the default `WebKitSettings` will be returned. This method always returns a valid `WebKitSettings` object. To modify any of the `web_view` settings, you can either create a new `WebKitSettings` object with webkit_settings_new(), setting the desired preferences, and then replace the existing `web_view` settings with `webkit_web_view_set_settings()` or get the existing `web_view` settings and update it directly. `WebKitSettings` objects can be shared by multiple `WebKitWebView`s, so modifying the settings of a `WebKitWebView` would affect other `WebKitWebView`s using the same `WebKitSettings`.

#### Return value

Returns: | `WebKitSettings`
| The `WebKitSettings` attached to `web_view`.
| The data is owned by the instance.